package cn.com.qmth.examcloud.reports.commons.handler;

import org.apache.kafka.clients.producer.ProducerRecord;
import org.apache.kafka.clients.producer.RecordMetadata;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.kafka.support.ProducerListener;

@SuppressWarnings("rawtypes")
public class KafkaSendResultHandler implements ProducerListener {
	private final static Logger logger = LoggerFactory.getLogger(KafkaSendResultHandler.class);

    @Override
    public void onSuccess(ProducerRecord producerRecord, RecordMetadata recordMetadata) {
    	logger.debug("kafka message send success : " + producerRecord.toString());
    }

    @Override
    public void onError(ProducerRecord producerRecord, Exception exception) {
    	logger.error("kafka message send error : " + producerRecord.toString(),exception);
    }
}
